get
https://services.azuga.com/azuga-ws-oauth/v3/dtc/
A DTC is a code used to diagnose malfunctions in a vehicle. This API allows the user to get the descriptions and related information of a diagnostic code appeared in your vehicle. The DTC code needs to be passed as a path parameter.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Request
API Response explanation
| Field | Description | Data Type |
|---|---|---|
| generatedAtInMillis | API generation time in UTC milliseconds | Long |
| data | Object representing the details of the DTC code | Object |
| desc | Description of the DTC code | String |
| repairImp | The level of repair importance of the DTC code ranging from 1 to 3. 1 : Low 2 : Medium 3 : High | String |
| causes | The possible causes of the DTC code | String |
| occurrence | The possible occurrences of the DTC code | String |
| symptoms | The possible symptoms of the DTC code | String |
| detailedDesc | Detailed description of the DTC code. | String |
| techNotes | Technical notes - if any. | String |
| severityLevel | The level of severity of the DTC code ranging from 1 to 3. 1 : Easy 2 : Moderate 3 : Hard | String |
| error | Error description - if any | List<Error> |

